Update an alert

Updates the specified alert. Any parameters not provided are left unchanged.

Path Parameters
  • id
    Type: integerFormat: int32
    required

    The ID of the alert to update.

Body·
required
application/json

Update an alert

  • active
    Type: boolean
    required

    Whether the alert is active.

  • events
    Type: array string[]
    required

    List of events that trigger the alert.

  • automated_test_ids
    Type: array integer[]

    Optional list of automated test IDs this alert should be scoped to.

  • channel
    Type: stringenum

    Delivery channel for the alert.

    values
    • SLACK
    • HOOK_URL
    • ALL
  • hook_url
    Type: string

    HTTPS URL that receives a JSON POST when an event fires.

  • slack_channel_id
    Type: integerFormat: int32

    ID of a Slack channel previously connected to your project.

Responses
  • application/json
  • application/json
  • application/json
Request Example for post/v1/alerts/{id}
curl http://api.mailreach.co/api/v1/alerts/42 \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN' \
  --data '{
  "active": true,
  "channel": "SLACK",
  "hook_url": "https://example.com/hooks/mailreach",
  "slack_channel_id": 42,
  "automated_test_ids": [
    12,
    34
  ],
  "events": [
    "ACCOUNT_DISCONNECTED"
  ]
}'
{
  "id": 42,
  "channel": "SLACK",
  "events": [
    "ACCOUNT_DISCONNECTED",
    "SPAMCHECK_COMPLETED"
  ],
  "active": true,
  "hook_url": "https://example.com/hooks/mailreach",
  "slack_channel_id": 42,
  "automated_test_ids": [
    12,
    34
  ]
}